#include <stdio.h>
#include <string.h>

int main(){
	char array[32];
	int i;
	int count = 0;

	printf("Inserire una sequenza di caratteri: ");
	scanf("%s", array);

	for(i=0; array[i]!='\0' && count>=0; i++){
		if (array[i]=='(') count++;
		else if (array[i]==')') count--;
	}

	if (count!=0) 
		printf("Sbagliato!\n");
	else
		printf("Giusto!\n");

	return 0;
}
